package cn.com.poc.thirdparty.resource.demand.ai.entity.orc;

import cn.com.poc.thirdparty.resource.demand.ai.entity.BaiduErrorResult;

import java.util.List;

/**
 * @author alex.yao
 * @date 2023/9/12
 **/
public class BaiduORCHandWritingResult extends BaiduErrorResult {


    private Long direction;
    private String logId;
    private Long pdfFileSize;
    private List<WordsResult> wordsResult;
    private Long wordsResultNum;

    public Long getDirection() {
        return direction;
    }

    public void setDirection(Long direction) {
        this.direction = direction;
    }

    public String getLogId() {
        return logId;
    }

    public void setLogId(String logId) {
        this.logId = logId;
    }

    public Long getPdfFileSize() {
        return pdfFileSize;
    }

    public void setPdfFileSize(Long pdfFileSize) {
        this.pdfFileSize = pdfFileSize;
    }

    public List<WordsResult> getWordsResult() {
        return wordsResult;
    }

    public void setWordsResult(List<WordsResult> wordsResult) {
        this.wordsResult = wordsResult;
    }

    public Long getWordsResultNum() {
        return wordsResultNum;
    }

    public void setWordsResultNum(Long wordsResultNum) {
        this.wordsResultNum = wordsResultNum;
    }
}
